Bug 974436 - Edit alert condition -> metric value is not converted to target units
Edit alert condition -> metric value is not converted to target units
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: RHQ 4.8
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 04:00 EDT by Heiko W. Rupp
Modified: 2013-09-11 05:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 05:53:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (34.80 KB, image/png)
2013-06-14 04:00 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2013-06-14 04:00:36 EDT
Created attachment 761132 [details]
Screenshot

Add an alert definition with e.g.

Free Memory < 1GB

save

try to edit again.
Wizard now shows

Free Memory < 

10203234113  (or whatever, the equivalent of 1GB is)

See screenshot fo details.

The UI should try to convert that numeric value back into "1GB" before
presenting to the user
Comment 1 Heiko W. Rupp 2013-06-18 11:22:13 EDT
Worse:

when you initially enter 50% and then edit, the UI shows "0.5". When you
modify that to 0.49 and save, you end up with "0.5%"
Comment 2 Jirka Kremser 2013-06-20 10:03:45 EDT
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=b45eb6516
time:    2013-06-20 15:55:48 +0200
commit:  b45eb6516643622a97360700ecd52a899f90c8be
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 974436] - Edit alert condition -> metric value is not converted to
         target units - Converting correctly the value based on it's
         measurement units family.
Comment 3 Heiko W. Rupp 2013-09-11 05:53:23 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.